Bug 735843 - gtk/broadway brokenness ...
gtk/broadway brokenness ...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE 12.1
Classification: openSUSE
Component: GNOME
Final
Other Other
: P5 - None : Major (vote)
: ---
Assigned To: Michael Meeks
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-09 10:32 UTC by Michael Meeks
Modified: 2012-02-13 11:35 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2011-12-09 10:32:32 UTC
The gtk+ broadway backend is missing support for the updated websockets protocol, so although we enable this feature:

export GDK_BACKEND=broadway
gedit

We cannot use the browser we ship on the system to access it ;-) checkout http://localhost:8080.

This is easy to fix, I have a patch to do that which I'd love to get out there.
Comment 2 Vincent Untz 2011-12-09 10:44:23 UTC
+1 from me, let's see if maintenance is happy with this too :-)
Comment 3 Michael Meeks 2011-12-09 10:55:11 UTC
hmm; having said all that testing the package in:

home:michael_meeks:branches:openSUSE:12.1:Update/gtk3

it seems like we get some fairly nasty protocol related regressions still, or somesuch around keybindings, modifier keys & so on; hmm. Need to fix those first I guess.
Comment 4 Michael Meeks 2011-12-09 10:56:15 UTC
Thanks vuntz - taking it back until I can get the protocol issues addressed - which won't be before next week at least.
Comment 5 Michael Meeks 2012-01-31 11:01:34 UTC
I fixed the protocol silly - a dumb uninitialized memory read. So - this is now working quite beautifully. It changes only code in the broadway/ backend - so the potential QA impact is extremely minimal.

I'd love to get it updated so this works out of the box on openSUSE 12.1 if that's ok with maintenance :-)
Comment 6 Marcus Meissner 2012-01-31 11:03:51 UTC
is fine.

please sr against openSUSE:12.1:Update:Test
Comment 7 Bernhard Wiedemann 2012-01-31 12:00:09 UTC
This is an autogenerated message for OBS integration:
This bug (735843) was mentioned in
https://build.opensuse.org/request/show/102185 12.1 / gtk3
Comment 8 Benjamin Brunner 2012-02-13 11:35:56 UTC
Update released. Resolved fixed.